# - Config file for the Dakota package
# It defines the following variables
#  Dakota_INCLUDE_DIRS - include directories for Dakota
#  Dakota_LIBRARIES    - libraries to link against
#  Dakota_EXECUTABLE   - the dakota executable

# Compute paths
get_filename_component(DAKOTA_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# Our library dependencies (contains definitions for IMPORTED targets)
include("${DAKOTA_CMAKE_DIR}/DakotaTargets.cmake")


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was DakotaConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Build tree option not yet working
if (Dakota_BUILD_TREE)
  # Dakota's build tree doesn't have a single convenient place for headers
  set(Dakota_INCLUDE_DIRS_TMP "/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/generated/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/remainder/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/remainder/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/core/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/core/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/numerics/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/comm/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/parameterlist/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/parser/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/pecos;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/pecos/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/VPISparseGrid/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/surfpack;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/surfpack/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/acro/packages;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/acro/packages/utilib;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/interfaces/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/scolib/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/utilib/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/colin/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/pebbl/src/bb;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/pebbl/src/comm;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/pebbl/src/misc;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/pebbl/src/pbb;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/packages/pebbl/src/sched;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/acro/tpl/tinyxml;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/approxnn/include;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/DDACE;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/DDACE/include;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/dream;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/FSUDace;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/FSUDace;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/hopspack/src/src-shared;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/hopspack/src/src-shared;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/hopspack/src/src-citizens;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/hopspack/src/src-evaluator;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/hopspack/src/src-executor;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/hopspack/src/src-framework;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/hopspack/src/src-main;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/JEGA;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/JEGA/eddy;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/JEGA/eddy;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/JEGA/include;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/NOMAD/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/NOMAD/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/OPTPP/include;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/OPTPP/include;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/rol/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/vector;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/compatibility;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/compatibility/teuchos/rcp;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function/boundconstraint;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function/constraint;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function/nlls;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function/objective;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function/operator;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function/simopt;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/function/std;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/linesearch;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/trustregion;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/secant;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/krylov;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/bundle;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/augmentedlagrangian;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/moreauyosidapenalty;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/interiorpoint;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/nonlinearcg;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/step/fletcher;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/algorithm;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/status;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/distribution;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/expectationquad;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional/risk;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional/risk/fdivergence;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional/risk/spectral;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional/error;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional/regret;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional/deviation;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/function/randvarfunctional/probability;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/algorithm;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/vector;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/sampler;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/sol/sampler/SROM;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/elementwise;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/utils;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/zoo;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/rol/src/zoo/testproblems;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/remainder/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/remainder/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/core/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/core/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/numerics/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/comm/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/parameterlist/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/trilinos/packages/teuchos/parser/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/PSUADE;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/src/graphics;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/packages/external/sciplot;/usr/include;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/ampl")
  # This won't work yet.  Since Dakota is in a build tree the
  # libraries are scattered, but the import doesn't know where they
  # are.
  set(Dakota_LIBRARY_DIRS_TMP "/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/remainder/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/core/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/numerics/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/comm/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/parameterlist/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/trilinos/packages/teuchos/parser/src;/tmp/slackrepo/SBo/slackrepo.EoLqCK/build_dakota/dakota-6.8-release-public.src-UI/build/packages/external/sciplot")
else()
  set_and_check(Dakota_INCLUDE_DIRS_TMP "${PACKAGE_PREFIX_DIR}/include")
  set_and_check(Dakota_LIB_DIRS_TMP "${PACKAGE_PREFIX_DIR}/lib")
endif()

# Variables intended for use by other projects

set_and_check(Dakota_DIR ${DAKOTA_CMAKE_DIR})

# TODO: reference in src vs bin
set(Dakota_EXECUTABLE dakota)


set(Dakota_DEFINES "HAVE_CONFIG_H;BOOST_SIGNALS_NO_DEPRECATION_WARNING;HAVE_CONFIG_H;DISABLE_DAKOTA_CONFIG_H;BOOST_DISABLE_ASSERTS;HAVE_UNISTD_H;HAVE_SYSTEM;HAVE_WORKING_FORK;HAVE_WORKING_VFORK;HAVE_SYS_WAIT_H;HAVE_USLEEP;DAKOTA_F90;HAVE_PECOS;HAVE_SURFPACK;HAVE_ACRO;DAKOTA_UTILIB;HAVE_APPROXNN;HAVE_ADAPTIVE_SAMPLING;HAVE_CONMIN;HAVE_DDACE;HAVE_DREAM;HAVE_FSUDACE;DAKOTA_HOPS;HAVE_JEGA;HAVE_NCSU;HAVE_NL2SOL;HAVE_NOMAD;HAVE_OPTPP;DAKOTA_OPTPP;HAVE_ROL;HAVE_PSUADE;HAVE_X_GRAPHICS;HAVE_AMPL")

set(Dakota_INCLUDE_DIRS ${Dakota_INCLUDE_DIRS_TMP})

set(Dakota_LIBRARY_DIRS ${Dakota_LIB_DIRS_TMP})

# These are IMPORTED targets created by DakotaTargets.cmake
set(Dakota_LIBRARIES "dakota_src;dakota_src_fortran;nidr;teuchosremainder;teuchosnumerics;teuchoscomm;teuchosparameterlist;teuchosparser;teuchoscore;pecos;pecos_src;lhs;lhs_mods;lhs_mod;dfftpack;sparsegrid;surfpack;surfpack;surfpack_fortran;utilib;colin;interfaces;scolib;3po;pebbl;tinyxml;approxnn;conmin;ddace;dream;fsudace;hopspack;jega;jega_fe;moga;soga;eutils;utilities;ncsuopt;cport;nomad;optpp;psuade;dakota_sciplot;amplsolver")

# Not built in Dakota's CMake process
set(Dakota_EXTPROJ_LIBRARIES "")

# TPLs external to the build
set(Dakota_TPL_INCLUDE_DIRS "/usr/include;/usr/include")

set(Dakota_TPL_LIBRARY_DIRS "/usr/lib64")

set(Dakota_TPL_LIBRARIES "/usr/lib64/libboost_filesystem.so;/usr/lib64/libboost_program_options.so;/usr/lib64/libboost_regex.so;/usr/lib64/libboost_serialization.so;/usr/lib64/libboost_system.so;/usr/lib64/libboost_signals.so;/usr/lib64/libXm.so;/usr/lib64/libXmu.so;/usr/lib64/libXt.so;/usr/lib64/libXext.so;/usr/lib64/libXpm.so;/usr/lib64/libXrender.so;/usr/lib64/libX11.so;/usr/lib64/libXft.so;/usr/lib64/libSM.so;/usr/lib64/libICE.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libSM.so;/usr/lib64/libICE.so;/usr/lib64/libX11.so;/usr/lib64/libXext.so;-lpthread;/usr/lib64/liblapack.so;/usr/lib64/libblas.so")
